<?php
/**
 * Bildergallerie fuer den Body beim Schreiben von Artikeln im Administrationsbereich(ACP)
 *
 * @package     Expblog
 * @category    ACP
 * @author      Volker S. Latainski
 * @copyright   Copyright (c) 2008, Volker S. Latainski
 * @version     0.6.3
 * @license     Freeware (siehe LIZENZ.txt im Hauptverzeichnis)
 * @link        http://www.expblog.net
 * @link        http://www.expblog.de
 * @filesource
 */
?>
<html>
<head>
  <title></title>
  <link rel="stylesheet" href="thickbox/thickbox.css" type="text/css" media="screen" />
  <script type="text/javascript" src="thickbox/jquery.js"></script>
  <script type="text/javascript" src="thickbox/thickbox.js"></script>
  <script language="javascript" type="text/javascript" src="js/video.js"></script>
  <style>
  	body { padding:0; margin:0; text-align:center; }
    a:link {color: #666666;}
		a:visited {color: #666666;}
		a:hover {color: #000;}
		a:active {color: #666666;}
		a:focus{color: #666666;}	
		#site_navi {
		  text-align:center; 
		  background:#E8E8E8;
		  height:18px;
		  padding:3px 0 0 0; 
		  font:12px arial, helvetica, sans-serif; 
		  color: #333333;
		}
		#gallerie_container {
		  width:600px; 
		  height:339px; 
		  margin:20px auto; 
		  background:#fff;
		}
		.thumbnail {
		  float:left; 
		  text-align:center; 
		  width:75px; 
		  margin:0; 
		  padding:4px; 
		  border:1px solid #C9C9C9;
		}
		.thumbnail img { border:0; }
		.clear_left { clear:left; }
  </style>
</head>
<body> 
	<div>
		<div id="gallerie_container">			
	  <?php	  
      function my_explode($delim, $str, $lim = 1)
      {
        if ($lim > -2) return explode($delim, $str, abs($lim));
        $lim = -$lim;
        $out = explode($delim, $str);
        if ($lim >= count($out)) return $out;
        $out = array_chunk($out, count($out) - $lim + 1);
        return array_merge(array(implode($delim, $out[0])), $out[1]);
      }    
        	  
	    $galleriepath = '../uploads/images/';	   
	    $thumbpath = '../uploads/thumbs/'; 
	    $bilder = array();
 			if($fd = opendir($galleriepath)) 
	    {
	      while (false !== ($images = readdir($fd))) 
	      {
	        list($name, $typ) = my_explode(".", $images, -2);
	        if($typ == "gif" || $typ == "jpg" || $typ == "png") 
	        {
	          array_push($bilder, $name.'.'.$typ);
	        }
	      }      
	      closedir($fd);  
	      
	      sort($bilder);
	      
	      if(isset($_GET['page']))
	      {
	      	$page = (int) $_GET['page'];
	      	if($page >= 1)
	      	{
	      		$offset = ($page-1) * 28;
	      	}
	      	else
	      	{
	      	  $page = 1;
	          $offset = 0;	
	      	}
	      }
	      else
	      {
	      	$page = 1;
	        $offset = 0;	
	      }
	      
	      $count = count($bilder);  	      
	      $pages = ceil($count / 28);
	      
	      for($x=$offset;$x<=($offset+27);$x++)
	      {	   	
	      	if(!$bilder[$x]) break;
	      	list($name, $typ) = my_explode(".", $bilder[$x], -2);
	      	$link = "javascript:insertImage('body', '".$bilder[$x]."', '".$galleriepath."')";
	      	echo '<div class="thumbnail">';	        
	        echo '<a href="javascript:void(0);" onclick="'.$link.'" target="_parent" title="'.$bilder[$x].' ('.round((filesize($galleriepath.$bilder[$x])/1000), 1).' KB)"><img src="'.$thumbpath.$name.'.thb.'.$typ.'"></a><br />';	
	        echo '</div>';	        	        	
	      }
	      echo '<div class="clear_left;"></div>';
	      echo '</div>';
	      
	      if($pages > 1) 
	      {
	      	echo '<div id="site_navi">';
	      	if($page == 1)
	      	{
	      		echo 'Vorherige - Seite '.$page.' von '.$pages.' - <a href="gallerie1.php?page='.($page+1).'">N&auml;chste</a>';
	      	}
	      	elseif($page == $pages)
	      	{
	      		echo '<a href="gallerie1.php?page='.($page-1).'">Vorherige</a> - Seite '.$page.' von '.$pages.' - N&auml;chste';
	      	}
	      	else
	      	{
	      		echo '<a href="gallerie1.php?page='.($page-1).'">Vorherige</a> - Seite '.$page.' von '.$pages.' - <a href="gallerie1.php?page='.($page+1).'">N&auml;chste</a>';
	      	}
	      	echo '</div>';
	      }
	    }
	  ?>
	
</div>
</body>
</html>