<?php
/**
 * Kommentarverwaltung im Administrationsbereich (ACP)
 *
 * @package     Expblog
 * @category    ACP
 * @author      Volker S. Latainski
 * @copyright   Copyright (c) 2009, Volker S. Latainski
 * @version     0.4.2
 * @license     Freeware (siehe LIZENZ.txt im Hauptverzeichnis)
 * @link        http://www.expblog.net
 * @link        http://www.expblog.de
 * @filesource
 */
  include "header.php";  
   
  // (Mindest)Zugriffslevel der Seite
  // 0 = Alle, 1 = Moderatoren, 2 = Administratoren, 3 = Blogbesitzer
  $accesslevel = 0;
  // max. angezeigte Kommentare pro Seite --> ToDo: portieren nach settings.php!
  $offset = 8;
  if($_SESSION['userlevel'] >= $accesslevel)
  {
   // Kommentar Objekt erstellen
   $kommentare = new KOMMENTARE($output);
   
//	  if(isset($_POST['delete_ids']) && is_array($_POST['delete_ids']))
//	  {
//	  	$delete_ids = implode(",", $_POST['delete_ids']);  
//	    $kommentare->multiDelete($delete_ids);
//	  }
   
   if(isset($_POST['update']))
   {
   	$id = (int) $_POST['update'];
     $kommentar = $output->sql->checkSql($_POST['kommentar']);
     $update = $kommentare->updateSimple($id, $kommentar);
     $meldung = 1;
     if(!$update)
     {
     	$meldungtxt = 'Fehler: Der Kommentar konnte nicht berarbeitet werden!';
     }	 
     else
     {
       $meldungtxt = 'Der Kommentar wurde berarbeitet!';
     }   
   }	  
   
   if(isset($_POST['delete']))
   {
   	$delete_id = (int) $_POST['delete'];
     $delete = $kommentare->delete($delete_id);
     $meldung = 1;
     if(!$delete)
     {
     	$meldungtxt = 'Fehler: Der Kommentar konnte nicht gelscht werden!';
     }	 
     else
     {
       $meldungtxt = 'Der Kommentar wurde gelscht!';
     }   
   }	
     
   // Pager Limit ermitteln
   if(isset($_GET['start']) && $_GET['start'] >= '0')
   {
   	$limit_start = (int) $_GET['start'];		  			    
   }
   else
   {
   	$limit_start = 0;
   }
   
   if(isset($_GET['artikel']))
   {
   	$artikel = (int) $_GET['artikel'];
     $res = $kommentare->get($artikel);
   }	  
   else
   {	  	
   		  
    $res = $kommentare->getLimited($limit_start, $offset);  	
   }		  
   
   $counter = count($res);
   $pages = ceil($counter/$offset); 
   	  	   
   
   if($meldung)
    {
      echo '<div class="content_box">';
      echo '<div class="meldungen">Meldungen</div>';
      echo '<div class="meldungtxt">'.$meldungtxt.'</div>';
      echo '</div>';
    }   
?>

<div class="content_box">
<div class="content_hline">Kommentarverwaltung</div>
<?php
 if($counter == 0)
  {
  	echo '<center><b>Meldung: </b>Es sind keine Kommentare vorhanden!</center>';
  }
  else
  {
?>
<div id="kommentare">
  <?php	    	 	
    echo '<div class="kommentare_data">';
  	foreach($res as $row => $value) 
  	{	    	  		 		
  		echo '<div class="kommentare_data_box">';
  		if(isset($_GET['artikel']))
  		{
  		  echo '<form action="kommentare.php?artikel='.$artikel.'" method="post">';
  		}
  		else
  		{  		  
  		  echo '<form action="kommentare.php" method="post">';
  		}
  		
  		echo '<input type="hidden" name="update" value="'.$value[0].'" />';  		
  		echo '<p class="">Artikel: <a href="'.WEBPATH.'details.php?id='.$value['news'].'">'.$value['titel'].'</a></p>';
  		echo '<p class="">Geschrieben von: <b>'.$value['name'].'</b> am '.strftime('%a, %d. %b %Y', $value['timestamp']).'</p>';  		
  		echo '<textarea name="kommentar">'.$value['kommentar'].'</textarea>';
  		
  		echo '<div id="kommentare_links">';
  		if($_SESSION['userlevel'] >= 2)
  		{  
  		  echo '<p class="kommentare_data_ip">IP: '.$value['ip'].'</p>';
  		}
  		else
  		{
  			echo '<p class="kommentare_data_ip">&nbsp;</p>';
  		}
  		echo '<input type="submit" value="ndern" class="kommentare_data_submit" onclick="return confirm(\'Soll der ausgewhlte Kommentar wirklich gendert werden?\');" />';
  		if(isset($_GET['artikel']))
  		{
  		  echo '<form action="kommentare.php?artikel='.$artikel.'" method="post">';
  		}
  		else
  		{  		  
  		  echo '<form action="kommentare.php" method="post">';
  		}
  		echo '</form>';
  		
  		
  		if(isset($_GET['artikel']))
  		{
  		  echo '<form action="kommentare.php?artikel='.$artikel.'" method="post">';
  		}
  		else
  		{  		  
  		  echo '<form action="kommentare.php" method="post">';
  		}
  		echo '<input type="hidden" name="delete" value="'.$value[0].'" />';  
  		echo '<input type="submit" value="Lschen" class="kommentare_data_submit" onclick="return confirm(\'Soll der Kommentar wirklich gelscht werden?\');" />';
  		echo '</form>';	
  		echo '<div class="clear_left"></div>';
  		echo '</div>';   		  		  		
  		echo '</div>';  
  	}
  	echo '</div>';   	
  ?>
</div>

<?php 
    echo '</div>';      
    echo '<div id="artikel_pager">';		 
   
    if($pages > 1)
    {  	
    	echo '<p>Seiten:&nbsp;';
    	$a = 0;
      $b = $offset-1;
    	for($i=1;$i<=$pages;$i++)
    	{ 
    		if($limit_start == $a)
    		{	
    		  echo '[<a href="kommentare.php?start='.$a.'&ende='.$offset.'">'.$i.'</a>]&nbsp;';
    		}
    		else
    		{
    			echo '<a href="kommentare.php?start='.$a.'&ende='.$offset.'">'.$i.'</a>&nbsp;';
    		}
    		$a += $offset;
    	}
    	echo '</p>';
    }	  
    
  	if($limit_start-$offset >= 0)
  	{
  		echo '<a href="kommentare.php?start='.($limit_start-$offset).'&ende='.$offset.'" title="Vorherige Seite"><img src="img/lastpage.png" border="0"/></a>';
  	}
  	else
  	{
  		echo '<img src="img/lastpage2.png" border="0"/>';
  	}
  ?>
  <a href="#top" title="Zum Seitenanfang"><img src="img/up.png" border="0"/></a>
  <?php
  	if($limit_start+$offset <= $counter)
  	{
  		echo '<a href="kommentare.php?start='.($limit_start+$offset).'&ende='.$offset.'" title="Nchste Seite"><img src="img/nextpage.png" border="0"/></a>';
  	}
  	else
  	{
  		echo '<img src="img/nextpage2.png" border="0"/>';
  	}
  	
  	echo '</div>';        
    
    }
  }
  else
  {
    include "denied.php";	
  }
  include "footer.php";
?>