<?php
/**
 * Pluginverwaltung im Administrationsbereich (ACP)
 *
 * @package     Expblog
 * @category    ACP
 * @author      Volker S. Latainski
 * @copyright   Copyright (c) 2009, Volker S. Latainski
 * @version     0.4.2
 * @license     Freeware (siehe LIZENZ.txt im Hauptverzeichnis)
 * @link        http://www.expblog.net
 * @link        http://www.expblog.de
 * @filesource
 */
  include "header.php";
  
  // (Mindest)Zugriffslevel der Seite
  // 0 = Alle, 1 = Moderatoren, 2 = Administratoren, 3 = Blogbesitzer
  $accesslevel = 2;
  if($_SESSION['userlevel'] >= $accesslevel)
  {   
    $plugins = new PLUGINS();  
    if(isset($_POST['plugin_select_a']))
    {
      $plugins->writeHistory($_POST['plugin_select_a']);
      $meldung = 1;
      $meldungtxt = 'Die ausgew&auml;hlten Plugins wurden gespeichert!';
    }
    
    if($meldung)
    {
      echo '<div class="content_box">';
      echo '<div class="meldungen">Meldungen</div>';
      echo '<div class="meldungtxt">'.$meldungtxt.'</div>';
      echo '</div>';
    }
?>

<div class="content_box">
  <div class="content_hline">Plugineinstellungen</div>
  <div id="plugin_select_form">
    <div class="plugin_select_topics">Aktive Plugins</div>
    <div id="plugin_select_dummy_topic">&nbsp;</div>
    <div class="plugin_select_topics">Verf&uuml;gbare Plugins</div>
    <form action="<?=$_SERVER['PHP_SELF'];?>" method="post" name="plugin_select_form" onsubmit="selectAll()">
      <input type="hidden" name="change_settings" value="1">
      <select name="plugin_select_a[]" id="plugin_select_a" multiple>        
      <?php       
        $active_plugins = $plugins->getActive();      
        if($active_plugins != false)
        { 
          foreach($active_plugins as $plugin) 
          {
            echo '<option>'.$plugin.'</option>';
          }
        }
      ?>
      </select>     
      <div id="plugin_select_buttons">      
        <input type="button" value="<- Hinzufgen" class="plugin_select_buttons" onClick="add()"><br />
        <input type="button" value="Entfernen ->" class="plugin_select_buttons" onClick="remove()"><br />
        <input type="submit" class="plugin_select_buttons" value="Speichern">
      </div>                                                                
      <select name="plugin_select_b[]" id="plugin_select_b" size="7" multiple>
      <?php      
        $inactive_plugins = $plugins->getInActive();   
        if($inactive_plugins != false)
        {   
        	print_r($inactive_plugins);
          foreach($inactive_plugins as $plugin) 
          {
            echo '<option>'.$plugin.'</option>';
          }
        }       
      ?>
      </select>      
      <div class="clear_left"></div>
      <div id="plugin_select_topdown">
        <input type="button" value="Hoch" onClick="top()">&nbsp;&nbsp;<input type="button" value="Runter" onClick="bottom()">
      </div>                        
    </form>                 
  </div>    
  </div>

<?php
  }
  else
  {
    include "denied.php"; 
  }
  include "footer.php";
?>