<?php
/**
 * Templatedatei fr die Indexseite/Hauptansicht
 *
 * @package     Expblog
 * @category    Backend
 * @author      Volker S. Latainski
 * @copyright   Copyright (c) 2009, Volker S. Latainski
 * @version     0.6.3
 * @license     Freeware (siehe LIZENZ.txt im Hauptverzeichnis)
 * @link        http://www.expblog.net
 * @link        http://www.expblog.de
 * @filesource
 */
?>
<div id="content">

<?php
  // [Anfang/Schleife] Ausgabe der News
  foreach($index->data as $data):
    if(empty($data['titel']))
    {
      $data['titel'] = $lang['index']['data_titel']['no_topic'];
    }
?>

  <div class="index_post">

    <? if($index->config['modrewrite']): ?>
      <h1 class="index_post_titel"><a href="<? echo WEBPATH.'archiv/'.date("Y",$data['timestamp']).'/'.date("m",$data['timestamp']).'/'.date("d",$data['timestamp']).'/'.$data['id'].'-'.$index->string2urlstring($data['titel']).'" title="'.$data['titel'].'">'.$data['titel']; ?></a></h1>
    <? else: ?>
      <h1 class="index_post_titel"><a href="<? echo WEBPATH.'details.php?id='.$data['id'].'">'.$data['titel']; ?></a></h1>
    <? endif; ?>

    <? if($index->config['modrewrite']): ?>
      <p class="index_post_author_date"><a href="<? echo WEBPATH.'autor/'.$index->string2urlstring($data['username']).'">'.$data['username']; ?></a> in <a href="<? echo WEBPATH.'kategorie/'.$index->string2urlstring($data['kategorie']).'">'.$data['kategorie'].'</a> am '.strftime('%d. %B %Y', $data['timestamp']).' um '.date("H:i", $data['timestamp']); ?></p>
    <? else: ?>
      <p class="index_post_author_date"><a href="<? echo WEBPATH.'index.php?autor='.$index->string2urlstring($data['username']).'">'.$data['username']; ?></a> in <a href="<? echo WEBPATH.'index.php?kategorie='.$index->string2urlstring($data['kategorie']).'">'.$data['kategorie'].'</a> am '.strftime('%d. %B %Y', $data['timestamp']).' um '.date("H:i", $data['timestamp']); ?></p>
    <? endif; ?>

    <p class="index_post_teaser"><?=$index->videoParser(html_entity_decode(abbc_proc($data['teaser'])))?></p>

    <? if(!empty($data['nachricht'])): ?>
      <? if($index->config['modrewrite']): ?>
        <p class="index_post_weiter">[ <a href="<? echo WEBPATH.'archiv/'.date("Y",$data['timestamp']).'/'.date("m",$data['timestamp']).'/'.date("d",$data['timestamp']).'/'.$data['id'].'-'.$index->string2urlstring($data['titel']); ?>" title="<?=$lang['index']['index_post_weiter']?>"><?=$lang['index']['index_post_weiter']?></a> ]</p>
      <? else: ?>
        <p class="index_post_weiter">[ <a href="<? echo WEBPATH.'details.php?id='.$data['id']; ?>" title="<?=$lang['index']['index_post_weiter']?>"><?=$lang['index']['index_post_weiter']?></a> ]</p>
      <? endif; ?>
    <? endif; ?>

  </div>

  <div class="index_post_footer">
    <div class="index_post_footer_stuff">
      <? if($index->config['hitcounter']): ?>
        <span class="index_post_hits">Hits(<?=$data['hits']?>)</span>
      <? endif; ?>

      <? if($index->config['kommentare']): ?>
        <span class="index_post_kommentar_count"><?=$lang['index']['kommentare'].'('.$data['kommentare_count'].')'?></span>
        <? if($index->config['modrewrite']): ?>
          <span class="index_post_kommentar"><img src="<?=WEBPATH.$index->config['style_dir'].$index->config['style'].'/img/add_comment.gif'?>" alt="" /><a href="<? echo WEBPATH.'archiv/'.strftime('%Y',$data['timestamp']).'/'.strftime('%m',$data['timestamp']).'/'.strftime('%d',$data['timestamp']).'/'.$data['id'].'-'.$index->string2urlstring($data['titel']) ?>#kommentieren" title="<?=$lang['index']['add_comment']?>"><?=$lang['index']['add_comment']?></a></span>
        <? else: ?>
          <span class="index_post_kommentar"><img src="<?=WEBPATH.$index->config['style_dir'].$index->config['style'].'/img/add_comment.gif'?>" alt="" /><a href="<? echo WEBPATH.'details.php?id='.$data['id']; ?>#kommentieren" title="<?=$lang['index']['add_comment']?>"><?=$lang['index']['add_comment']?></a></span>
        <? endif; ?>
      <? endif; ?>
    </div>
    <? if($index->config['bookmarkicons']): ?>
    <div class="index_post_bookmarkicons">
      <? if($index->config['modrewrite']): ?>
        <a href="http://infopirat.com/bookmark-king.php?&url=<?=WEBPATH.'archiv/'.date("Y",$data['timestamp']).'/'.date("m",$data['timestamp']).'/'.date("d",$data['timestamp']).'/'.$data['id'].'-'.$index->string2urlstring($data['titel'])?>&amp;title=<?=$data['titel']?>" title="Artikel bookmarken" target="_blank"><img src="<?=WEBPATH.$index->config['style_dir'].$index->config['style']?>/img/bookmark-king_button.png" alt="Bookmark Services" /></a>        
      <? else: ?>
        <a href="http://infopirat.com/bookmark-king.php?&url=<?=WEBPATH.'details.php?id='.$data['id']?>&amp;title=<?=$data['titel']?>" title="Artikel bookmarken" target="_blank"><img src="<?=WEBPATH.$index->config['style_dir'].$index->config['style']?>/img/bookmark-king_button.png" alt="Bookmark Services" /></a>                
      <? endif; ?>          
    </div>
    <? endif; ?>

  </div>
  <div class="clear_left"></div>

<?
  // [Ende/Schleife] Ausgabe der News
  endforeach;
?>

  <? if($index->maxpage > 1 && ($index->viewmode != 'jahr' && $index->viewmode != 'monat' && $index->viewmode != 'tag')): ?>
    <!-- Bltterfunktion(Pager) -->      
    <table id="index_pager" cellspacing="0" cellpadding="0" border="0">
      <tr>
        <td id="pager_back" >         
          <? if($index->page > 1 && $index->page <= $index->maxpage): ?>
            <p><a href="<?=$index->pagerawurl?><?=$index->page-1?>">zur&uuml;ck</a></p>
          <? endif; ?>         
        </td>
        <td id="pager_allcount"><p>Insgesammt <?=$index->datacount?> Artikel</p></td>
        <td id="pager_apage"><p>Seite: <?=$index->page?> von <?=$index->maxpage?></p></td>
        <td id="pager_select">
          <p><form method="get">
            <select size="1" onChange="location=this.options[this.selectedIndex].value;">
              <? for($count=1;$count<=$index->maxpage;$count++): ?>
                <? if($index->page == $count): ?>
                  <option selected="selected">Seite <?=$count?></option>
                <? else: ?>        
                  <option value="<?=$index->pagerawurl?><?=$count?>">Seite <?=$count?></option>
                <? endif; ?>
              <? endfor; ?>
            </select>
            <input type="submit" value="go" />
          </form></p>
        </td>
        <td id="pager_next">               
          <? if($index->maxpage > $index->page): ?>
            <p><a href="<?=$index->pagerawurl?><?=$index->page+1?>">weiter</a></p>
          <? endif; ?> 
        </td>
      </tr>
    </table>  
  <? endif; ?>
  
</div>

<!-- Plugins -->
<div id="plugins"><? $index->writePlugins($output, $lang); ?></div>