<?php
/**
 * Impressumsverwaltung im Administrationsbereich (ACP)
 *
 * @package     Expblog
 * @category    ACP
 * @author      Volker S. Latainski
 * @copyright   Copyright (c) 2009, Volker S. Latainski
 * @version     0.4.2
 * @license     Freeware (siehe LIZENZ.txt im Hauptverzeichnis)
 * @link        http://www.expblog.net
 * @link        http://www.expblog.de
 * @filesource
 */
  include "header.php";
  
  // (Mindest)Zugriffslevel der Seite
  // 0 = Alle, 1 = Moderatoren, 2 = Administratoren, 3 = Blogbesitzer
  $accesslevel = 2;
  if($_SESSION['userlevel'] >= $accesslevel)
  {  
	  if(isset($_POST['impstatus']))
	  {
	    $settings = new SETTINGS($expconf);	
	    $settings->setImpressum($_POST['impstatus'], $_POST['impname'], $_POST['impstr'], $_POST['impplzort'], $_POST['impemail']);
	    $meldung = 1;
    	$meldungtxt = 'Die Einstellungen wurden gespeichert!';    
	  }  
	  
	  if($expconf['impstatus'])
	  {
	  	$radio1 = '<input type="radio" name="impstatus" value="1" checked>';
	  	$radio0 = '<input type="radio" name="impstatus" value="0">';
	  }
	  else
	  {
	    $radio1 = '<input type="radio" name="impstatus" value="1">';	
	    $radio0 = '<input type="radio" name="impstatus" value="0" checked>';
	  }   
	  
	  if($meldung)
    {
      echo '<div class="content_box">';
      echo '<div class="meldungen">Meldung</div>';
      echo '<div class="meldungtxt">'.$meldungtxt.'</div>';
      echo '</div>';
    } 
?>

<div class="content_box">	
	<div class="content_hline">Impressum</div>
	<div id="impressum">				
	  <form action="impressum.php" method="post" name="impressum">
	    <div id="impstatus"><?=$radio1?> aktivieren <?=$radio0?> deaktivieren</div>
	  	<p>Name </p><input name="impname" class="impinput" type="text" value="<?=$expconf['impname']?>" size="30" maxlength="40" /><br />
	    <p>Strasse </p><input name="impstr" class="impinput" type="text" value="<?=$expconf['impstr']?>" size="30" maxlength="40" /><br />  
	    <p>PLZ/Stadt </p><input name="impplzort" class="impinput" type="text" value="<?=$expconf['impplzort']?>" size="30" maxlength="40" /><br />
	    <p>Email </p><input name="impemail" class="impinput" type="text" value="<?=$expconf['impemail']?>" size="30" maxlength="40" /><br />
	    <input type="submit" value="Speichern" class="impsubmit" />	    
	  </form>
	</div>	
</div>

<?php
  }
  else
  {
    include "denied.php";	
  }
  include "footer.php";
?>