<?php
/**
 * Passwortaenderung im Administrationsbereich (ACP)
 *
 * @package     Expblog
 * @category    ACP
 * @author      Volker S. Latainski
 * @copyright   Copyright (c) 2009, Volker S. Latainski
 * @version     0.6
 * @license     Freeware (siehe LIZENZ.txt im Hauptverzeichnis)
 * @link        http://www.expblog.net
 * @link        http://www.expblog.de
 * @filesource
 */
  include "header.php";
  
  // (Mindest)Zugriffslevel der Seite
  // 0 = Alle, 1 = Moderatoren, 2 = Administratoren, 3 = Blogbesitzer
  $accesslevel = 0;
  if($_SESSION['userlevel'] >= $accesslevel)
  {
  	$pwd = new PASSWORT($output);  	  	        
  
	  if(isset($_POST['pwd_alt']) && isset($_POST['pwd_neu']) && isset($_POST['pwd_neu_wdh']))
	  {    
	  	if(!empty($_POST['pwd_alt']) && !empty($_POST['pwd_neu']) && !empty($_POST['pwd_neu_wdh']))
	  	{	
	  		$pwd_alt = $output->sql->checkSql(htmlentities($_POST['pwd_alt']));
	  		$pwd_neu = $output->sql->checkSql(htmlentities($_POST['pwd_neu']));
	  		$pwd_neu_wdh = $output->sql->checkSql(htmlentities($_POST['pwd_neu_wdh']));
	  		 
	  		$meldung = 1; 		
	  		if($pwd_neu != $pwd_neu_wdh)
	  		{
	  			$status = false;
	  		}
	  		else
	  		{  	
		    	$status = $pwd->changePWD($pwd_alt, $pwd_neu);	    	    		    
			  }
			  
			  if(!$status)
		    {
		    	$meldungtxt = 'Fehler: Das Passwort konnte nicht gendert werden!';
		    }
		    else
		    {
		      $meldungtxt = 'Das Passwort wurde gendert!';
		    }
		  }
	  }
	  
	  if($meldung)
    {
      echo '<div class="content_box">';
      echo '<div class="meldungen">Meldungen</div>';
      echo '<div class="meldungtxt">'.$meldungtxt.'</div>';
      echo '</div>';
    }
	?>

<div class="content_box">
	<div class="content_hline">Passwort ndern</div>		
	<div id="passwort">	
		
		<div id="passwort_change">
			<h3>Passwort ndern</h3>	  
		  <form action="passwort.php" method="post" name="passwort">	  
		  	<input type="hidden" name="add">  
		    <p>Altes Passwort</p><input name="pwd_alt" class="passwort_input" type="password" value="" size="30" maxlength="40" /><div class="clear_left"></div>
		    <p>Neues Passwort</p><input name="pwd_neu" class="passwort_input" type="password" value="" size="30" maxlength="40" /><div class="clear_left"></div>
		    <p>Neues Passwort Wdh.</p><input name="pwd_neu_wdh" class="passwort_input" type="password" value="" size="30" maxlength="40" /><div class="clear_left"></div> 
		    <input type="submit" value="Speichern" class="passwort_submit" />
		  </form>
		</div>
				
	</div>	
</div>

<?php
  }
  else
  {
    include "denied.php";	
  }
  include "footer.php";
?>