<?php
/**
 * RSS Feed Konfiguration im Administrationsbereich (ACP)
 *
 * @package     Expblog
 * @category    ACP
 * @author      Volker S. Latainski
 * @copyright   Copyright (c) 2009, Volker S. Latainski
 * @version     0.6.3
 * @license     Freeware (siehe LIZENZ.txt im Hauptverzeichnis)
 * @link        http://www.expblog.net
 * @link        http://www.expblog.de
 * @filesource
 */
  include "header.php";
  
  if(isset($_POST['rssstatus']))
  {
    $settings = new SETTINGS($expconf);	
    $status = $settings->setRSSFeed($_POST['rssstatus'], $_POST['rsstitel'], $_POST['rssbeschreibung'], $_POST['rsssprache'], $_POST['rsscopyright']);
    $meldung = 1;
    if(!$status)
    {
    	$meldungtxt = 'Fehler: Die Einstellungen konnten nicht gespeichert werden! Evtl. liegt ein Rechteproblem mit der Datei "settings.php" im Hauptverzeichnis vor.';
    }
    else
    {
      $meldungtxt = 'Die Einstellungen wurden gespeichert!';
    }
  }
  
  if($expconf['rssstatus'])
  {
  	$radio1 = '<input type="radio" name="rssstatus" value="1" checked>';
  	$radio0 = '<input type="radio" name="rssstatus" value="0">';
  }
  else
  {
    $radio1 = '<input type="radio" name="rssstatus" value="1">';	
    $radio0 = '<input type="radio" name="rssstatus" value="0" checked>';
  }
  
  // (Mindest)Zugriffslevel der Seite
  // 0 = Alle, 1 = Moderatoren, 2 = Administratoren, 3 = Blogbesitzer
  $accesslevel = 2;
  if($_SESSION['userlevel'] >= $accesslevel)
  {
  	if($meldung)
    {
      echo '<div class="content_box">';
      echo '<div class="meldungen">Meldungen</div>';
      echo '<div class="meldungtxt">'.$meldungtxt.'</div>';
      echo '</div>';
    }
?>

<div class="content_box">
	<div class="content_hline">Einstellungen zum RSS Feed</div>		
	<div id="rss">				
	  <form action="rssfeed.php" method="post" name="rssfeed">
	    <div id="rssstatus"><?=$radio1?> aktivieren <?=$radio0?> deaktivieren</div>
	  	<p>Feed Titel </p><input name="rsstitel" class="rssinput" type="text" value="<?=stripslashes($expconf['rsstitel'])?>" size="30" maxlength="60" /><br />
	    <p>Feed Beschreibung </p><input name="rssbeschreibung" class="rssinput" type="text" value="<?=stripslashes($expconf['rssbeschreibung'])?>" size="30" maxlength="100" /><br />  
	    <p>Feed Sprache </p><input name="rsssprache" class="rssinput" type="text" value="<?=$expconf['rsssprache']?>" size="30" maxlength="40" /><br />
	    <p>Feed Copyright </p><input name="rsscopyright" class="rssinput" type="text" value="<?=$expconf['rsscopyright']?>" size="30" maxlength="50" /><br />
	    <input type="submit" value="Speichern" class="rsssubmit" />
	    <div id="rssurl"><a href="<?=WEBPATH?>rss.xml"><img src="img/rss.png"></a><br /> <?=WEBPATH?>rss.xml</div>
	  </form>
	</div>	
</div>

<?php
  }
  else
  {
    include "denied.php";	
  }
  include "footer.php";
?>