<?php
/**
 * Userverwaltung fuer den Administrationsbereich
 *
 * @package     Expblog
 * @category    ACP
 * @author      Volker S. Latainski
 * @copyright   Copyright (c) 2008, Volker S. Latainski
 * @version     0.6.2
 * @license     Freeware (siehe LIZENZ.txt im Hauptverzeichnis)
 * @link        http://www.expblog.net
 * @link        http://www.expblog.de
 * @filesource
 */
  include "header.php";
  
  // (Mindest)Zugriffslevel der Seite
  // 0 = Alle, 1 = Moderatoren, 2 = Administratoren, 3 = Blogbesitzer
  $accesslevel = 2;
  if($_SESSION['userlevel'] >= $accesslevel)
  {  	  
  	$user = new USER($output);
  	$pwd = new PASSWORT($output);
  	
  	if(isset($_GET['delete']))
  	{
  		$delete = (int) $_GET['delete'];
  	  $deleteuser = $user->delete($delete);
  	  $meldung = 1;
	    if(!$deleteuser || $delete == 1)
	    {
	    	$meldungtxt = 'Fehler: Der Benutzer konnte nicht gelscht werden!';
	    }
	    else
	    {
	      $meldungtxt = 'Der Benutzer wurde gelscht!';
	    }
  	}
  	
  	if(isset($_POST['pwd_neu']) && !empty($_POST['pwd_neu']))
	  {	  	
	  	$pwd_neu = $output->sql->checkSql($_POST['pwd_neu']);
	  	$user_id = (int) $_POST['user_id'];
	  	$user_name = htmlentities($_POST['user_name']);

	    $update = $pwd->adminChangePWD($user_id, $pwd_neu);
	    
	    $meldung = 1;
	    if(!$update)
	    {
	    	$meldungtxt = 'Fehler: Das Passwort konnte nicht gendert werden!';
	    }
	    else
	    {
	      $meldungtxt = 'Das Passwort von '.$user_name.' wurde gendert!';
	    }
	  }
	  
	  if(isset($_POST['username']) && isset($_POST['password']) && isset($_POST['userlevel']))
	  {	 
	  	if(!empty($_POST['username']) && !empty($_POST['password']))
	    {
	    	$name = $output->sql->checkSql($_POST['username']);
	    	$password = $output->sql->checkSql($_POST['password']);
	    	$level = (int) $_POST['userlevel'];
	      $newuser = $user->add($name, $password, $level);
	      $meldung = 1;
		    if(!$newuser)
		    {
		    	$meldungtxt = 'Fehler: Der Benutzer '.$name.' konnte nicht angelegt werden!';
		    }
		    else
		    {
		      $meldungtxt = 'Der Benutzer '.$name.' wurde angelegt!';
		    }
	    }
	  }
	  
	  if($meldung)
    {
      echo '<div class="content_box">';
      echo '<div class="meldungen">Meldungen</div>';
      echo '<div class="meldungtxt">'.$meldungtxt.'</div>';
      echo '</div>';
    }  	  	  
?>

<div class="content_box">
	<div class="content_hline">Benutzerverwaltung</div>	
	  <form action="user.php" method="post" id="user_form">
	  	<fieldset>
	  	<label for="username">Benutzername</label><input class="user_form_input" name="username" type="text" size="30" maxlength="30" value="" /><br />
				<label for="password">Passwort</label><input class="user_form_input" name="password" type="password" size="30" maxlength="30" value="" /><br />
				<label for="userlevel">Benutzerlevel</label><select name="userlevel" class="user_form_select">
					<option value="0">Blogger</option>
					<option value="1">Moderator</option>
					<option value="2">Administrator</option>
				</select><br />
			</fieldset>
			<input type="submit" id="user_form_submit" name="submit" value="Benutzer anlegen" />
		</form>
		<table id="user_liste" cellpadding="0" cellspacing="1">
			<tr>
				<th class="user_liste_td_big">Benutzername (#ID)</th>				
				<th class="user_liste_td_medi">Level</th>
				<th class="user_liste_td_small">Artikel</th>
				<th class="user_liste_td_small">Aktion</th>
			</tr>																
			<?php	    
			  $x = 1;
		    $users = $user->get();		   
			  foreach($users as $row => $value) 
		  	{
		    	echo '<tr>';
		    	echo '<td class="user_liste_td_big">[#'.$value['id'].'] '.$value['name'].'<div id="user_liste_pwd_neu_'.$value['id'].'" style="display:none; visibility:hidden;"><form action="user.php" method="post"><input type="hidden" name="user_id" value="'.$value['id'].'" /><input type="hidden" name="user_name" value="'.$value['name'].'" /><input type="password" name="pwd_neu" class="user_liste_input" size="30" maxlength="30" value="" /><input type="submit" value="Speichern" class="user_liste_submit" /></form></div></td>';		    	
		    	echo '<td class="user_liste_td_medi">'.$value['level'].' ('.$userlevel[$value['level']].')</td>';
		    	echo '<td class="user_liste_td_small">'.$value['news'].'</td>';
		    	if($x == 1)
		    	{
	    			echo '<td class="user_liste_td_medi">--- / ---</td>';
		    	}
		    	else
		    	{
		    		echo '<td class="user_liste_td_medi"><a href="?delete='.$value['id'].'" onclick="return confirm(\'Soll der Benutzer '.$value['name'].' wirklich gelscht werden?\');">Lschen</a> / <a href="#" onclick="user_pwd_neu(\''.$value['id'].'\');">PWD ndern</a></td>';
		    	}
		    	echo '</tr>';
		    	$x++;
		    }
		  ?>
		</table>
	</div>
</div>

<?php
  }
  else
  {
    include "denied.php";	
  }
  include "footer.php";
?>