<?php
/**
  *  - install/index.php -
  *
  *  @ Software    eXpBlog Weblog Software
  *  @ Version     0.5.2
  *  @ Lizenz      Frei zur privaten Nutzung (siehe LIZENZ.txt)
  *  @ Author      Volker Latainski
  *  @ Home        www.expblog.net / www.expblog.de
  *  @ Kontakt     kontakt@expblog.net
  *
  *
  *  Die Nutzung der eXpBlog Software erfolgt eigenverantwortlich und
  *  auf eigene Gefahr. Der Autor haftet fr keine Schden die durch
  *  die Nutzung entstehen.
  *
  *  Bugs und Feature Requests knnen im Forum (www.expblog.net/forum)
  *  eingereicht werden.
  *
  ***********************************************************************/
  include "../system/expconf.php";
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/1999/REC-html401-19991224/loose.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>.:eXpBlog:. [Installation/SetUp]</title>
    <meta http-equiv="content-type" content="text/html; charset=iso-8859-1" />
    <link rel="stylesheet" href="install.css" type="text/css">
  </head>
<body>
<div id="main">

  <div id="head">
    <div id="help_links">
      <a href="http://www.expblog.net/" target="_blank">Home</a>&nbsp;&nbsp;|&nbsp;&nbsp;
      <a href="http://www.expblog.net/forum" target="_blank">Forum</a>&nbsp;&nbsp;|&nbsp;&nbsp;
      <a href="http://www.expblog.net/installation.html" target="_blank">Installationsanleitung</a>&nbsp;&nbsp;|&nbsp;&nbsp;
      <a href="http://www.expblog.net/update.html" target="_blank">Hilfe zum UpDaten</a>
    </div>
    <div id="headline">     
      <div id="logo"><a href="http://www.expblog.net" target="_blank"><img src="logo.png" border="0" /></a></div>
      <div id="logotext"><p>Webinstaller f&uuml;r expblog <?=VERSION?></p></div>
      <div style="clear:left;"></div>
    </div>
  </div>

  <div id="container">
    
    <p><span class="active_cat">Lizenz</span> -> Voraussetzungen -> Datenbank -> Dateiberechtigungen -> Konfiguration -> Abschluss</p>
    
    <h1>Endbenutzer-Lizenzvertrag (EULA)</h1>
    
    <br />
 
    <p>
       Mit Download, Installation und Inbetriebnahme der Expblog Weblog Software, 
       erkennen Sie als Nutzer ausdrcklich die nachfolgenden Nutzungsbedingungen 
       als Endbenutzer-Lizenzvertrag an.
    </p>
    
    <br />
  
    <h2>Gewhrleistungsbeschrnkung:</h2>
    <p>
       Die Software und ihre Dokumentation wird wie sie ist zur Verfgung gestellt. 
       Da Fehlfunktionen auch bei ausfhrlich getesteter Software durch die Vielzahl 
       an verschiedenen Serverkonfigurationen niemals ausgeschlossen werden knnen, 
       bernimmt der Autor keinerlei Haftung fr jedwede Folgeschden, die sich durch 
       direkten oder indirekten Einsatz der Software oder der Dokumentation ergeben. 
       Uneingeschrnkt ausgeschlossen ist vor allem die Haftung fr Schden aus 
       entgangenem Gewinn, Betriebsunterbrechung, Verlust von Informationen und Daten 
       und Schden an anderer Software, auch wenn diese dem Autor bekannt sein sollten. 
       Ausschlielich der Benutzer haftet fr Folgen der Benutzung dieser Software.
    </p>
    
    <br />
      
    <h2>Weitergabe:</h2>
    <ul>
      <li>Das Programm darf ausschliesslich in unverndertem Zustand und unendgeltlich weitergeben werden.</li>
      <li>Verffentlichungen auf CD-ROM innerhalb von Share-/Freewaresammlungen und Zeitschriften sind nicht gestattet.</li>
      <li>Verffentlichungen als Bookware, sind nur mit Zustimmung des Autors zulssig.</li>
    </ul>  
    
    <br />
    
    <h2>Sonstiges:</h2>
    <ul>
      <li>Bei Versto gegen diese Bedingungen ist der Autor berechtigt, dem Anwender die Nutzungslizenz zu entziehen.</li>
      <li>Smtliche Urheberrechte und Copyrights bleiben beim Autor.</li>
      <li>Alle als Copyright markierten Bereiche, sowie der Link zur Projektseite, mssen gut sichtbar erhalten bleiben.</li>
      <li>Es gilt das Recht der Bundesrepublik Deutschland.</li>
    </ul>
     
    <br /><br />
    
    <form action="voraussetzungen.php" method="post">
      <input type="hidden" name="eula" value="1" />
      <input type="submit" value="Ja, ich stimme der EULA zu und mchte mit der Installation fortfahren" class="submit" />
    </form>

    <p id="footer">Expblog <?=VERSION?> Weblog Software &copy; 2005, 2009 <a href="http://www.expblog.net" style="text-decoration:none;" target="_blank">www.expblog.net</a></p>
  </div>
</div>
</body>
</html>