<?php
/**
 * "Autoren" Plugin fr die Seitenleiste
 *
 * @package     Expblog
 * @category    Plugins
 * @author      Volker S. Latainski
 * @copyright   Copyright (c) 2008, Volker S. Latainski
 * @version     0.6.2
 * @license     Freeware (siehe LIZENZ.txt im Hauptverzeichnis)
 * @link        http://www.expblog.net
 * @link        http://www.expblog.de
 * @filesource
 */

/**
 * Hauptfunktion des Plugins
 *
 * @param    object $output  Referenz(keine Kopie!) auf das Output Objekt
 * @param    array  $lang    Array der aus der aktuell verwendeten Sprachdatei
 * @param    array  $post    Kopie von $_POST
 * @param    array  $get     Kopie von $_GET
 * @return   void
 */
function autoren($output, $lang, $post, $get)
{
?>
<!-- Anfang Autoren Plugin -->
<div id="plugin_autoren">
<p id="plugin_autoren_topic"><?=$lang['plugins']['autoren']['title']?></p>
<?php
echo '<ul id="plugin_autoren_links">';
$kategorien = array();
$res = $output->sql->query("
  SELECT
    user.name AS name, COUNT(news.id) AS count
  FROM
    ".DB_TABLE_user." AS user
  LEFT JOIN
    ".DB_TABLE_news." AS news
  ON
    news.userid = user.id
  WHERE
    news.published = 1
  GROUP BY
    user.name
  ORDER BY
    user.name
  ASC
");
foreach($res as $array => $row)
{
  if($output->config['modrewrite']) {
    echo '<li><a href="'.WEBPATH.'autor/'.$output->string2urlstring($row['name']).'" title="Alle Beitrge des Autors \''.$row['name'].'\' ansehen">'.$row['name'].'</a> ('.$row['count'].')</li>';
  }
  else {
    echo '<li><a href="'.WEBPATH.'index.php?autor='.$output->string2urlstring($row['name']).'" title="Alle Beitrge des Autors \''.$row['name'].'\' ansehen">'.$row['name'].'</a> ('.$row['count'].')</li>';
  }
}
echo "</ul>";
?>
</div>
<!-- Ende Autoren Plugin -->
<?php } ?>
