<?php
/**
 * "Kalender" Plugin zum Ausgeben eines Ajax Kalenders in der Seitenleiste
 *
 * @package     Expblog
 * @category    Plugins
 * @author      Volker S. Latainski
 * @copyright   Copyright (c) 2008, Volker S. Latainski
 * @version     0.6
 * @license     Freeware (siehe LIZENZ.txt im Hauptverzeichnis)
 * @link        http://www.expblog.net
 * @link        http://www.expblog.de
 * @filesource
 */

/**
 * Hauptfunktion des Plugins
 *
 * @param    object $output  Referenz(keine Kopie!) auf das Output Objekt
 * @param    array  $lang    Array der aus der aktuell verwendeten Sprachdatei
 * @param    array  $post    Kopie von $_POST
 * @param    array  $get     Kopie von $_GET
 * @return   void
 */
function kalender($expconf, $post, $get)
{
?>
<script type="text/javascript">
var http_request = false;

function getCal(jahr, monat)
{
  if (window.XMLHttpRequest)
  {
    http_request = new XMLHttpRequest();
    if (http_request.overrideMimeType)
    {
      http_request.overrideMimeType('text/xml');
    }
  }
  else if (window.ActiveXObject)
  {
    try
    {
      http_request = new ActiveXObject("Msxml2.XMLHTTP");
    }
    catch (e)
    {
      try
      {
        http_request = new ActiveXObject("Microsoft.XMLHTTP");
      }
      catch (e) {}
    }
  }
  if (!http_request)
  {
    alert('Ende :( Kann keine XMLHTTP-Instanz erzeugen');
    return false;
  }
  var getreq = 'jahr='+jahr+'&monat='+monat;
  var webpath = <?php echo '"'.WEBPATH.'"'; ?>;
  http_request.onreadystatechange = alertInhalt;
  http_request.open('GET', webpath+'plugins/kalender/kalender.ajax.php?'+getreq, true);
  http_request.send(null);

}
function getCalOnStart()
{
  if (window.XMLHttpRequest)
  {
    http_request = new XMLHttpRequest();
    if (http_request.overrideMimeType)
    {
      http_request.overrideMimeType('text/xml');
    }
  }
  else if (window.ActiveXObject)
  {
    try
    {
      http_request = new ActiveXObject("Msxml2.XMLHTTP");
    }
    catch (e)
    {
      try
      {
        http_request = new ActiveXObject("Microsoft.XMLHTTP");
      }
      catch (e) {}
    }
  }
  if (!http_request)
  {
    alert('Ende :( Kann keine XMLHTTP-Instanz erzeugen');
    return false;
  }
  var webpath = <?php echo '"'.WEBPATH.'"'; ?>;
  http_request.onreadystatechange = alertInhalt;
  http_request.open('GET', webpath+'plugins/kalender/kalender.ajax.php', true);
  http_request.send(null);

}
function alertInhalt()
{
  if (http_request.readyState == 4)
  {
    if (http_request.status == 200)
    {
      //alert(http_request.responseText);
      document.getElementById('kalender').innerHTML = http_request.responseText;
    }
    else
    {
      alert('Bei dem Request ist ein Problem aufgetreten.');
    }
  }
}
getCalOnStart();
</script>
<div id="kalender"></div>
<?php
  }
?>