<?php
/**
  *  - include/pager.class.php -
  *
  *  @ Software    eXpBlog Weblog Software
  *  @ Version     0.5
  *  @ Lizenz      Frei zur privaten Nutzung (siehe LIZENZ.txt)
  *  @ Author      Volker Latainski 
  *  @ Home        www.expblog.net / www.expblog.de
  *  @ Kontakt     kontakt@expblog.net
  *  
  *
  *  Die Nutzung der eXpBlog Software erfolgt eigenverantwortlich und 
  *  auf eigene Gefahr. Der Autor haftet fr keine Schden die durch 
  *  die Nutzung entstehen.
  *  
  *  Bugs und Feature Requests knnen im Forum (www.expblog.net/forum) 
  *  eingereicht werden.
  *
  ***********************************************************************/
  class PAGER extends OUTPUT {        
  
    private $data_num_rows;
    private $query;
    private $pagelink;
    private $ids;
    
    /* Konstruktor */
    public function __construct($query) 
    {  
    	$this->query = $this->checkSQL($query);
    	$this->maxentries = $this->config['index_maxnews'];
    	$this->setPageLink();
    } 
    
    private function getDataNumRows()
    {
    	$num_rows = msql_fetch_array($this->sql($this->query));
    	$this->data_num_rows = $num_rows['count'];
    }
    
    private function setPageLink()
    {
    	if($this->config['modrewrite'])
    	{
    		$this->pagelink = $this->webpath.'page/';    		
    	}
    	else
    	{
    		$this->pagelink = $this->webpath.'index.php?page='; 
    	}
    }     
        
    /* Destruktor */
    public function __destruct() {} 
  
  }
?>